Install MOSS……

安装MOSS出现巨多问题:

点击安装SharePoint-EN,提示如下问题:

This product requires Internet Information Services 6.0 or higher.

This product requires ASP.NET v2.0 to be set to allow

error

这是提示我们IIS没有安装,使用VM加载Server2003安装包,然后按照如下步骤安装IIS,详见Installing IIS

To install IIS using the Configure Your Server Wizard

1.From the Start menu, click Manage Your Server.
2.Under Managing Your Server Roles, click Add or remove a role.
3.Read the preliminary steps in the Configure Your Server Wizard and click Next.
4.Under Server Role, click Application server (IIS, ASP.NET) and then click Next.By default, the wizard installs and enables IIS, COM+, and DTC. 5.If you want to serve either of the optional technologies (FrontPage Server Extensions or ASP.NET), on the Application Server Options page, select the appropriate check boxes, and then click Next.
6.Read the summary and click Next.
7.Complete the wizard, and then click Finish.

安装后再次运行Sharepoint-EN,提示ASP.NET v2 not allowed,根据Sharepoint social上的解释,可使用如下命令搞定。

No need to uninstall everything with regards to the error under 32bit. Do the following and it should resolve the issue. For some reason installing the .NET Framework 3.x causes this to occur.

C:\WINDOWS\Microsoft.NET\Framework\v2.0.50727>aspnet_regiis -u   (uninstall)
 C:\WINDOWS\Microsoft.NET\Framework\v2.0.50727>aspnet_regiis -i   (reinstall)

搞定之后,会看到原来只有ASP.NET v1.1,现在多了一个ASP.NET v2.0,并且状态为allowed。

image

再次运行sharepoint安装包,顺利执行。

普人特福的博客cnzz&51la for wordpress,cnzz for wordpress,51la for wordpress